package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.common.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * 官网曲目详情老师和老师拥有的曲目信息
 *
 * @author liujunchi
 * @date 2022-06-14
 */
@ApiModel("官网曲目详情老师和老师拥有的曲目信息")
public class TeacherMusicSheetListVo {

    @ApiModelProperty("老师id")
    private Long userId;

    @ApiModelProperty("老师点亮图标 STYLE:个人风采 VIDEO：视频课 LIVE：直播课，MUSIC：曲目 ")
    private String tag;

    @ApiModelProperty("上传老师名称")
    private String userName;

    @ApiModelProperty("上传用户头像")
    private String userAvatar;

    @ApiModelProperty("老师入驻  0 否 1 是 ")
    private YesOrNoEnum entryFlag;

    @ApiModelProperty("音乐人  0 否 1 是 ")
    private YesOrNoEnum musicianFlag;

    @ApiModelProperty("粉丝数")
    private Integer fansNum;

    @ApiModelProperty("是否关注 0 ： 否 1：是")
    private YesOrNoEnum star = YesOrNoEnum.NO;

    @ApiModelProperty(value = "是否会员 0否 1是")
    private YesOrNoEnum isVip;

    @ApiModelProperty("老师曲目 默认最新的5个")
    private List<MusicSheetVo> musicSheetList;


    public String getTag() {
        return tag;
    }

    public void setTag(String tag) {
        this.tag = tag;
    }

    public YesOrNoEnum getIsVip() {
        return isVip;
    }

    public void setIsVip(YesOrNoEnum isVip) {
        this.isVip = isVip;
    }

    public YesOrNoEnum getStar() {
        return star;
    }

    public void setStar(YesOrNoEnum star) {
        this.star = star;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserAvatar() {
        return userAvatar;
    }

    public void setUserAvatar(String userAvatar) {
        this.userAvatar = userAvatar;
    }

    public YesOrNoEnum getEntryFlag() {
        return entryFlag;
    }

    public void setEntryFlag(YesOrNoEnum entryFlag) {
        this.entryFlag = entryFlag;
    }

    public YesOrNoEnum getMusicianFlag() {
        return musicianFlag;
    }

    public void setMusicianFlag(YesOrNoEnum musicianFlag) {
        this.musicianFlag = musicianFlag;
    }

    public Integer getFansNum() {
        return fansNum;
    }

    public void setFansNum(Integer fansNum) {
        this.fansNum = fansNum;
    }

    public List<MusicSheetVo> getMusicSheetList() {
        return musicSheetList;
    }

    public void setMusicSheetList(List<MusicSheetVo> musicSheetList) {
        this.musicSheetList = musicSheetList;
    }
}
